# Class CIM_DatabaseFile
extends CIM_Component

DatabaseFile captures the relationship between a database and the supporting files that make up the database as well as the purpose served by the files within the context of the database.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_DatabaseFile

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Description | string | DatabaseFile captures the relationship between a database and the supporting files that make up the database as well as the purpose served by the files within the context of the database.
UMLPackagePath | string | CIM::Database::Storage
Version | string | 2.8.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_DatabaseFile | CIM_CommonDatabase
PartComponent | CIM_DatabaseFile | CIM_LogicalFile

## Class Methods